Axis2/C: server callback

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# server callback

## Files
file | axis2_svr_callback.h
| axis Server Callback interface

## Typedefs
typedef struct axis2_svr_callback | axis2_svr_callback_t
## Functions
AXIS2_EXTERN void | axis2_svr_callback_free (axis2_svr_callback_t *svr_callback, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_svr_callback_handle_result (axis2_svr_callback_t *svr_callback, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx)
AXIS2_EXTERN axis2_status_t | axis2_svr_callback_handle_fault (axis2_svr_callback_t *svr_callback, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx)
AXIS2_EXTERN axis2_svr_callback_t * | axis2_svr_callback_create (const axutil_env_t *env)

## Typedef Documentation

typedef struct axis2_svr_callback axis2_svr_callback_t

Type name for struct axis2_svr_callback

## Function Documentation

AXIS2_EXTERN axis2_svr_callback_t* axis2_svr_callback_create | ( | const axutil_env_t * | env | ) |

Create Server Callback struct

Parameters:

  | env | pointer to environment struct

Returns:
  newly created server callback object

AXIS2_EXTERN void axis2_svr_callback_free | ( | axis2_svr_callback_t * | svr_callback,
|  | const axutil_env_t * | env |
| ) |  |  |

Deallocate memory

Parameters:

  | svr_callback | pointer to server callback struct
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axis2_status_t axis2_svr_callback_handle_fault | ( | axis2_svr_callback_t * | svr_callback,
|  | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx |
| ) |  |  |

Handle fault

Parameters:

  | svr_callback | pointer to server callback struct
  | env | pointer to environment struct
  | msg_ctx | pointer to message context

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_svr_callback_handle_result | ( | axis2_svr_callback_t * | svr_callback,
|  | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx |
| ) |  |  |

Handle result

Parameters:

  | svr_callback | pointer to server callback struct
  | env | pointer to environment struct
  | msg_ctx | pointer to message context

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE